Cookies Disclaimer

I agree Our site saves small pieces of text information (cookies) on your device in order to authenticate logins, deliver better content and provide statistical analysis. You can adjust your browser settings to prevent our site from using cookies, but doing so will prevent some aspects of the site from functioning properly.

Early Enrollment will start on December 31st at 10:00am (Pacific)

Baron
But would not the last update go on the already installed updater? I can´t imagine that it wouldn´t.
Self-styled Warden of the East, Protector of Baron´s Folly, Hero of the first skirmish.
Nihimon
It might work to simply let the Patcher update to the Early Enrollment build. However, Ryan has recommended (and I'm probably not reaching to say strongly recommended) a complete uninstall, removing all traces of the game, in order to minimize the risk of unintended and unexpected complications.
Nihimon murmurs in sheer ecstasy as the magic courses through his veins
Baron
Well, when you put it that way, i guess it would be best to uninstall the alpha. On another note, any word on keymapping interface? Or do we go the old route?
Self-styled Warden of the East, Protector of Baron´s Folly, Hero of the first skirmish.
Kitsune
Download link is live!
Kalanthes
So, the $35 package I purchased says Open Enrollment. That is obviously different than Early Enrollment. Anyone know what Open Enrollment means?
echilda
Open enrollment is when the game launches properly iirc.
Nihimon
Open Enrollment allows you to play the game after Early Enrollment ends, in about a year. The game should be much more fully developed by then.
Nihimon murmurs in sheer ecstasy as the magic courses through his veins
Gothic
Kitsune
Download link is live!
Where is the link? When I click on the installer button I get a page telling me that the game is in Alpha.
Gothic
Nvm, the page saying the game is in alpha is not correct. When I follow the links it turns out the game is in version EE1.0
 
You must be logged into an enrolled account to post